Package org.eclipse.rdf4j.spring.resultcache

## Class ClearableAwareUpdate

- java.lang.Object
- - org.eclipse.rdf4j.spring.support.query.DelegatingUpdate
  - - org.eclipse.rdf4j.spring.resultcache.ClearableAwareUpdate

- All Implemented Interfaces:
    `Operation`, `Update`

      public class ClearableAwareUpdate
      extends DelegatingUpdate

  Update that, upon each invocation of `execute()`, clears the result cache it is aware of.
  Since:
    4.0.0
  Author:
    Florian Kleedorfer

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClearableAwareUpdate​(Update delegate, Clearable clearable)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `execute()` | Execute this update on the repository.
    `void` | `renewClearable​(Clearable clearable)` |

    - ### Methods inherited from class org.eclipse.rdf4j.spring.support.query.DelegatingUpdate

      `clearBindings, getBindings, getDataset, getDelegate, getIncludeInferred, getMaxExecutionTime, removeBinding, setBinding, setDataset, setIncludeInferred, setMaxExecutionTime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClearableAwareUpdate

          public ClearableAwareUpdate​(Update delegate,
                                      Clearable clearable)

  - ### Method Detail

    - #### execute

          public void execute()
                       throws UpdateExecutionException

      Description copied from interface: `Update`
      Execute this update on the repository.
      Specified by:
        `execute` in interface `Update`
      Overrides:
        `execute` in class `DelegatingUpdate`
      Throws:
        `UpdateExecutionException` - if the update could not be successfully completed.

    - #### renewClearable

          public void renewClearable​(Clearable clearable)